Name: libwvstreams
Version: 3.70
Release: 2m
Summary: WvStreams is a network programming library written in C++.
Source: http://open.nit.ca/download/wvstreams-%{version}.tar.gz
NoSource: 0

Patch0: libwvstreams-3.69-redhat.patch
Patch1: libwvstreams-3.70-gcc3.patch
Patch2: libwvstreams-openssl-0.9.7a.patch
URL: http://open.nit.ca/wvstreams/
Group: System Environment/Libraries
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildRequires: openssl-devel
License: LGPL

%description
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.

%package devel
Summary: Development files for WvStreams.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
WvStreams aims to be an efficient, secure, and easy-to-use library for
doing network applications development.  This package contains the files
needed for developing applications which use WvStreams.

%prep
%setup -q -n wvstreams-%{version}
%patch0 -p1 -b .redhat
%patch1 -p1 -b .gcc3
%patch2 -p1

%build
make COPTS="%{optflags} -fPIC"

%install
rm -rf %{buildroot}
make install PREFIX=%{buildroot}%{_prefix}
chmod 755 %{buildroot}%{_prefix}/lib/*.so.*

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING.LIB src/README
%{_prefix}/lib/*.so.*

%files devel
%defattr(-,root,root)
%{_prefix}/include/wvstreams
%{_prefix}/lib/*.a
%{_prefix}/lib/*.so

%post -p /sbin/ldconfig
%postun -p /sbin/ldconfig

%changelog
* Sat Mar  8 2003 Tsutomu Yasuda <tom@tom.homelinux.org>
- (3.70-2m)
  rebuild against openssl 0.9.7a

* Sun Aug 18 2002 Hideo TASHIRO <tashiron@momonga-linux.org>
- (3.70-1m)
- pakuri from RawHide (libwvstreams-3.70-5)

* Sat Aug 10 2002 Elliot Lee <sopwith@redhat.com>
- rebuilt with gcc-3.2 (we hope)

* Mon Jul 22 2002 Tim Powers <timp@redhat.com>
- rebuild using gcc-3.2-0.1

* Fri Jun 21 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Sun May 26 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Mon May 20 2002 Nalin Dahyabhai <nalin@redhat.com> 3.70-1
- patch to build with gcc 3.x
- build with -fPIC

* Wed Apr 10 2002 Nalin Dahyabhai <nalin@redhat.com>
- update to 3.70

* Wed Mar 27 2002 Nalin Dahyabhai <nalin@redhat.com> 3.69-1
- pull in from upstream tarball

* Wed Feb 27 2002 Nalin Dahyabhai <nalin@redhat.com>
- merge the main and -devel packages into one .spec file
- use globbing to shorten the file lists
- don't define name, version, and release as macros (RPM does this by default)
- use the License: tag instead of Copyright: (equivalent at the package level,
  but License: reflects the intent of the tag better)
- use a URL to point to the source of the source tarball
- add BuildRequires: openssl-devel (libwvcrypto uses libcrypto)
- move the buildroot to be under %%{_tmppath}, so that it can be moved by
  altering RPM's configuration

* Tue Jan 29 2002 Patrick Patterson <ppatters@nit.ca>
- Initial Release of WvStreams
